---
title: Update a RUM SDK configuration
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > RUM Remote Config
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Update a RUM SDK configuration{% #update-a-rum-sdk-configuration %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                            |
| ----------------- | --------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/remote_config/products/rum/configs/{config_id} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/remote_config/products/rum/configs/{config_id} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/remote_config/products/rum/configs/{config_id}      |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/remote_config/products/rum/configs/{config_id}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/remote_config/products/rum/configs/{config_id}  |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/remote_config/products/rum/configs/{config_id} |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/remote_config/products/rum/configs/{config_id}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/remote_config/products/rum/configs/{config_id} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/remote_config/products/rum/configs/{config_id} |

### Overview

Update an existing RUM SDK configuration by its identifier. Returns the updated configuration when successful.

### Arguments

#### Path Parameters

| Name                        | Type   | Description                          |
| --------------------------- | ------ | ------------------------------------ |
| config_id [*required*] | string | The ID of the RUM SDK configuration. |

### Request

#### Body Data (required)

The RUM SDK configuration update.

{% tab title="Model" %}

| Parent field             | Field                                            | Type     | Description                                                                                                  |
| ------------------------ | ------------------------------------------------ | -------- | ------------------------------------------------------------------------------------------------------------ |
|                          | data [*required*]                           | object   | The data object for updating a RUM SDK configuration.                                                        |
| data                     | attributes [*required*]                     | object   | Attributes of the RUM SDK configuration to update.                                                           |
| attributes               | rum [*required*]                            | object   | The RUM SDK settings to apply when updating a configuration.                                                 |
| rum                      | allowed_tracing_urls                             | [object] | A list of URL configurations for distributed tracing.                                                        |
| allowed_tracing_urls     | match [*required*]                          | object   | A match option used for URL or origin pattern matching.                                                      |
| match                    | rc_serialized_type [*required*]             | enum     | The type of match pattern, either a literal string or a regex. Allowed enum values: `string,regex`           |
| match                    | value [*required*]                          | string   | The value to match against.                                                                                  |
| allowed_tracing_urls     | propagator_types [*required*]               | [string] | The list of trace propagator types to use for this URL.                                                      |
| rum                      | allowed_tracking_origins                         | [object] | A list of origin patterns allowed for cross-origin session tracking.                                         |
| allowed_tracking_origins | rc_serialized_type [*required*]             | enum     | The type of match pattern, either a literal string or a regex. Allowed enum values: `string,regex`           |
| allowed_tracking_origins | value [*required*]                          | string   | The value to match against.                                                                                  |
| rum                      | context                                          | [object] | A list of dynamic option key-value pairs.                                                                    |
| context                  | key [*required*]                            | string   | The key name for this dynamic configuration pair.                                                            |
| context                  | value [*required*]                          | object   | A dynamic configuration option that extracts a value at runtime using a specified strategy.                  |
| value                    | attribute                                        | string   | The element attribute to read. Used when `strategy` is `dom`.                                                |
| value                    | extractor                                        | object   | A serialized regex used as an extractor in dynamic options.                                                  |
| extractor                | rc_serialized_type [*required*]             | enum     | The type identifier for a serialized regex. Always `regex`. Allowed enum values: `regex`                     |
| extractor                | value [*required*]                          | string   | The regex pattern used for extraction.                                                                       |
| value                    | key                                              | string   | The `localStorage` key to read. Required when `strategy` is `localStorage`.                                  |
| value                    | name                                             | string   | The cookie name to read. Required when `strategy` is `cookie`.                                               |
| value                    | path                                             | string   | The JavaScript path used to extract the value. Required when `strategy` is `js`.                             |
| value                    | rc_serialized_type [*required*]             | enum     | The type identifier for a dynamic option. Always `dynamic`. Allowed enum values: `dynamic`                   |
| value                    | selector                                         | string   | The CSS selector to read from the page. Required when `strategy` is `dom`.                                   |
| value                    | strategy [*required*]                       | enum     | The strategy used to extract the dynamic value. Allowed enum values: `js,cookie,dom,localStorage`            |
| rum                      | default_privacy_level [*required*]          | string   | The default privacy masking level applied to all RUM data.                                                   |
| rum                      | enable_privacy_for_action_name [*required*] | boolean  | Whether to mask user-interaction action names for privacy.                                                   |
| rum                      | env                                              | string   | The environment tag for the RUM application.                                                                 |
| rum                      | service                                          | string   | The service name tag for the RUM application.                                                                |
| rum                      | session_replay_sample_rate [*required*]     | int64    | The percentage of collected sessions for which a replay is captured (0–100).                                 |
| rum                      | session_sample_rate [*required*]            | int64    | The percentage of user sessions to collect (0–100).                                                          |
| rum                      | trace_sample_rate                                | int64    | The percentage of requests to forward as APM traces (0–100).                                                 |
| rum                      | track_session_across_subdomains                  | boolean  | Whether to share a session across subdomains of the same site.                                               |
| rum                      | user                                             | [object] | A list of dynamic option key-value pairs.                                                                    |
| user                     | key [*required*]                            | string   | The key name for this dynamic configuration pair.                                                            |
| user                     | value [*required*]                          | object   | A dynamic configuration option that extracts a value at runtime using a specified strategy.                  |
| value                    | attribute                                        | string   | The element attribute to read. Used when `strategy` is `dom`.                                                |
| value                    | extractor                                        | object   | A serialized regex used as an extractor in dynamic options.                                                  |
| extractor                | rc_serialized_type [*required*]             | enum     | The type identifier for a serialized regex. Always `regex`. Allowed enum values: `regex`                     |
| extractor                | value [*required*]                          | string   | The regex pattern used for extraction.                                                                       |
| value                    | key                                              | string   | The `localStorage` key to read. Required when `strategy` is `localStorage`.                                  |
| value                    | name                                             | string   | The cookie name to read. Required when `strategy` is `cookie`.                                               |
| value                    | path                                             | string   | The JavaScript path used to extract the value. Required when `strategy` is `js`.                             |
| value                    | rc_serialized_type [*required*]             | enum     | The type identifier for a dynamic option. Always `dynamic`. Allowed enum values: `dynamic`                   |
| value                    | selector                                         | string   | The CSS selector to read from the page. Required when `strategy` is `dom`.                                   |
| value                    | strategy [*required*]                       | enum     | The strategy used to extract the dynamic value. Allowed enum values: `js,cookie,dom,localStorage`            |
| rum                      | version                                          | object   | A dynamic configuration option that extracts a value at runtime using a specified strategy.                  |
| version                  | attribute                                        | string   | The element attribute to read. Used when `strategy` is `dom`.                                                |
| version                  | extractor                                        | object   | A serialized regex used as an extractor in dynamic options.                                                  |
| extractor                | rc_serialized_type [*required*]             | enum     | The type identifier for a serialized regex. Always `regex`. Allowed enum values: `regex`                     |
| extractor                | value [*required*]                          | string   | The regex pattern used for extraction.                                                                       |
| version                  | key                                              | string   | The `localStorage` key to read. Required when `strategy` is `localStorage`.                                  |
| version                  | name                                             | string   | The cookie name to read. Required when `strategy` is `cookie`.                                               |
| version                  | path                                             | string   | The JavaScript path used to extract the value. Required when `strategy` is `js`.                             |
| version                  | rc_serialized_type [*required*]             | enum     | The type identifier for a dynamic option. Always `dynamic`. Allowed enum values: `dynamic`                   |
| version                  | selector                                         | string   | The CSS selector to read from the page. Required when `strategy` is `dom`.                                   |
| version                  | strategy [*required*]                       | enum     | The strategy used to extract the dynamic value. Allowed enum values: `js,cookie,dom,localStorage`            |
| data                     | id [*required*]                             | string   | The ID of the RUM SDK configuration to update.                                                               |
| data                     | type [*required*]                           | enum     | The type of the resource. The value should always be `rum_sdk_config`. Allowed enum values: `rum_sdk_config` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "rum": {
        "allowed_tracing_urls": [
          {
            "match": {
              "rc_serialized_type": "string",
              "value": "https://app.datadoghq.com"
            },
            "propagator_types": [
              "datadog",
              "tracecontext"
            ]
          }
        ],
        "allowed_tracking_origins": [
          {
            "rc_serialized_type": "string",
            "value": "https://app.datadoghq.com"
          }
        ],
        "context": [
          {
            "key": "id",
            "value": {
              "attribute": "data-version",
              "extractor": {
                "rc_serialized_type": "regex",
                "value": "^https://app-.*.datadoghq.com"
              },
              "key": "app.version",
              "name": "app_version",
              "path": "application.version",
              "rc_serialized_type": "dynamic",
              "selector": "#app-version",
              "strategy": "js"
            }
          }
        ],
        "default_privacy_level": "mask",
        "enable_privacy_for_action_name": true,
        "env": "production",
        "service": "my-service",
        "session_replay_sample_rate": 20,
        "session_sample_rate": 75,
        "trace_sample_rate": 100,
        "track_session_across_subdomains": false,
        "user": [
          {
            "key": "id",
            "value": {
              "attribute": "data-version",
              "extractor": {
                "rc_serialized_type": "regex",
                "value": "^https://app-.*.datadoghq.com"
              },
              "key": "app.version",
              "name": "app_version",
              "path": "application.version",
              "rc_serialized_type": "dynamic",
              "selector": "#app-version",
              "strategy": "js"
            }
          }
        ],
        "version": {
          "attribute": "data-version",
          "extractor": {
            "rc_serialized_type": "regex",
            "value": "^https://app-.*.datadoghq.com"
          },
          "key": "app.version",
          "name": "app_version",
          "path": "application.version",
          "rc_serialized_type": "dynamic",
          "selector": "#app-version",
          "strategy": "js"
        }
      }
    },
    "id": "abc12345-1234-5678-abcd-ef1234567890",
    "type": "rum_sdk_config"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a RUM SDK configuration.

| Parent field             | Field                                            | Type      | Description                                                                                                  |
| ------------------------ | ------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------ |
|                          | data [*required*]                           | object    | The RUM SDK configuration data object.                                                                       |
| data                     | attributes [*required*]                     | object    | Attributes of the RUM SDK configuration.                                                                     |
| attributes               | rum [*required*]                            | object    | The RUM SDK settings for a configuration.                                                                    |
| rum                      | allowed_tracing_urls                             | [object]  | A list of URL configurations for distributed tracing.                                                        |
| allowed_tracing_urls     | match [*required*]                          | object    | A match option used for URL or origin pattern matching.                                                      |
| match                    | rc_serialized_type [*required*]             | enum      | The type of match pattern, either a literal string or a regex. Allowed enum values: `string,regex`           |
| match                    | value [*required*]                          | string    | The value to match against.                                                                                  |
| allowed_tracing_urls     | propagator_types [*required*]               | [string]  | The list of trace propagator types to use for this URL.                                                      |
| rum                      | allowed_tracking_origins                         | [object]  | A list of origin patterns allowed for cross-origin session tracking.                                         |
| allowed_tracking_origins | rc_serialized_type [*required*]             | enum      | The type of match pattern, either a literal string or a regex. Allowed enum values: `string,regex`           |
| allowed_tracking_origins | value [*required*]                          | string    | The value to match against.                                                                                  |
| rum                      | application_id [*required*]                 | string    | The ID of the RUM application this configuration belongs to.                                                 |
| rum                      | context                                          | [object]  | A list of dynamic option key-value pairs.                                                                    |
| context                  | key [*required*]                            | string    | The key name for this dynamic configuration pair.                                                            |
| context                  | value [*required*]                          | object    | A dynamic configuration option that extracts a value at runtime using a specified strategy.                  |
| value                    | attribute                                        | string    | The element attribute to read. Used when `strategy` is `dom`.                                                |
| value                    | extractor                                        | object    | A serialized regex used as an extractor in dynamic options.                                                  |
| extractor                | rc_serialized_type [*required*]             | enum      | The type identifier for a serialized regex. Always `regex`. Allowed enum values: `regex`                     |
| extractor                | value [*required*]                          | string    | The regex pattern used for extraction.                                                                       |
| value                    | key                                              | string    | The `localStorage` key to read. Required when `strategy` is `localStorage`.                                  |
| value                    | name                                             | string    | The cookie name to read. Required when `strategy` is `cookie`.                                               |
| value                    | path                                             | string    | The JavaScript path used to extract the value. Required when `strategy` is `js`.                             |
| value                    | rc_serialized_type [*required*]             | enum      | The type identifier for a dynamic option. Always `dynamic`. Allowed enum values: `dynamic`                   |
| value                    | selector                                         | string    | The CSS selector to read from the page. Required when `strategy` is `dom`.                                   |
| value                    | strategy [*required*]                       | enum      | The strategy used to extract the dynamic value. Allowed enum values: `js,cookie,dom,localStorage`            |
| rum                      | default_privacy_level [*required*]          | string    | The default privacy masking level applied to all RUM data.                                                   |
| rum                      | enable_privacy_for_action_name [*required*] | boolean   | Whether to mask user-interaction action names for privacy.                                                   |
| rum                      | env                                              | string    | The environment tag for the RUM application.                                                                 |
| rum                      | service                                          | string    | The service name tag for the RUM application.                                                                |
| rum                      | session_replay_sample_rate [*required*]     | int64     | The percentage of collected sessions for which a replay is captured (0–100).                                 |
| rum                      | session_sample_rate [*required*]            | int64     | The percentage of user sessions to collect (0–100).                                                          |
| rum                      | trace_sample_rate                                | int64     | The percentage of requests to forward as APM traces (0–100).                                                 |
| rum                      | track_session_across_subdomains                  | boolean   | Whether to share a session across subdomains of the same site.                                               |
| rum                      | user                                             | [object]  | A list of dynamic option key-value pairs.                                                                    |
| user                     | key [*required*]                            | string    | The key name for this dynamic configuration pair.                                                            |
| user                     | value [*required*]                          | object    | A dynamic configuration option that extracts a value at runtime using a specified strategy.                  |
| value                    | attribute                                        | string    | The element attribute to read. Used when `strategy` is `dom`.                                                |
| value                    | extractor                                        | object    | A serialized regex used as an extractor in dynamic options.                                                  |
| extractor                | rc_serialized_type [*required*]             | enum      | The type identifier for a serialized regex. Always `regex`. Allowed enum values: `regex`                     |
| extractor                | value [*required*]                          | string    | The regex pattern used for extraction.                                                                       |
| value                    | key                                              | string    | The `localStorage` key to read. Required when `strategy` is `localStorage`.                                  |
| value                    | name                                             | string    | The cookie name to read. Required when `strategy` is `cookie`.                                               |
| value                    | path                                             | string    | The JavaScript path used to extract the value. Required when `strategy` is `js`.                             |
| value                    | rc_serialized_type [*required*]             | enum      | The type identifier for a dynamic option. Always `dynamic`. Allowed enum values: `dynamic`                   |
| value                    | selector                                         | string    | The CSS selector to read from the page. Required when `strategy` is `dom`.                                   |
| value                    | strategy [*required*]                       | enum      | The strategy used to extract the dynamic value. Allowed enum values: `js,cookie,dom,localStorage`            |
| rum                      | version                                          | object    | A dynamic configuration option that extracts a value at runtime using a specified strategy.                  |
| version                  | attribute                                        | string    | The element attribute to read. Used when `strategy` is `dom`.                                                |
| version                  | extractor                                        | object    | A serialized regex used as an extractor in dynamic options.                                                  |
| extractor                | rc_serialized_type [*required*]             | enum      | The type identifier for a serialized regex. Always `regex`. Allowed enum values: `regex`                     |
| extractor                | value [*required*]                          | string    | The regex pattern used for extraction.                                                                       |
| version                  | key                                              | string    | The `localStorage` key to read. Required when `strategy` is `localStorage`.                                  |
| version                  | name                                             | string    | The cookie name to read. Required when `strategy` is `cookie`.                                               |
| version                  | path                                             | string    | The JavaScript path used to extract the value. Required when `strategy` is `js`.                             |
| version                  | rc_serialized_type [*required*]             | enum      | The type identifier for a dynamic option. Always `dynamic`. Allowed enum values: `dynamic`                   |
| version                  | selector                                         | string    | The CSS selector to read from the page. Required when `strategy` is `dom`.                                   |
| version                  | strategy [*required*]                       | enum      | The strategy used to extract the dynamic value. Allowed enum values: `js,cookie,dom,localStorage`            |
| data                     | id [*required*]                             | string    | The unique identifier of the RUM SDK configuration.                                                          |
| data                     | meta                                             | object    | Metadata associated with a RUM SDK configuration.                                                            |
| meta                     | updated_at [*required*]                     | date-time | The timestamp of the last update to this configuration.                                                      |
| meta                     | updated_by [*required*]                     | string    | The handle of the user who last updated this configuration.                                                  |
| data                     | type [*required*]                           | enum      | The type of the resource. The value should always be `rum_sdk_config`. Allowed enum values: `rum_sdk_config` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "rum": {
        "allowed_tracing_urls": [
          {
            "match": {
              "rc_serialized_type": "string",
              "value": "https://app.datadoghq.com"
            },
            "propagator_types": [
              "datadog",
              "tracecontext"
            ]
          }
        ],
        "allowed_tracking_origins": [
          {
            "rc_serialized_type": "string",
            "value": "https://app.datadoghq.com"
          }
        ],
        "application_id": "f80e917c-3cd0-4048-ade7-1c4c207baa99",
        "context": [
          {
            "key": "id",
            "value": {
              "attribute": "data-version",
              "extractor": {
                "rc_serialized_type": "regex",
                "value": "^https://app-.*.datadoghq.com"
              },
              "key": "app.version",
              "name": "app_version",
              "path": "application.version",
              "rc_serialized_type": "dynamic",
              "selector": "#app-version",
              "strategy": "js"
            }
          }
        ],
        "default_privacy_level": "mask-user-input",
        "enable_privacy_for_action_name": false,
        "env": "production",
        "service": "my-service",
        "session_replay_sample_rate": 10,
        "session_sample_rate": 50,
        "trace_sample_rate": 100,
        "track_session_across_subdomains": false,
        "user": [
          {
            "key": "id",
            "value": {
              "attribute": "data-version",
              "extractor": {
                "rc_serialized_type": "regex",
                "value": "^https://app-.*.datadoghq.com"
              },
              "key": "app.version",
              "name": "app_version",
              "path": "application.version",
              "rc_serialized_type": "dynamic",
              "selector": "#app-version",
              "strategy": "js"
            }
          }
        ],
        "version": {
          "attribute": "data-version",
          "extractor": {
            "rc_serialized_type": "regex",
            "value": "^https://app-.*.datadoghq.com"
          },
          "key": "app.version",
          "name": "app_version",
          "path": "application.version",
          "rc_serialized_type": "dynamic",
          "selector": "#app-version",
          "strategy": "js"
        }
      }
    },
    "id": "abc12345-1234-5678-abcd-ef1234567890",
    "meta": {
      "updated_at": "2024-01-15T09:30:00.000Z",
      "updated_by": "user@datadoghq.com"
    },
    "type": "rum_sdk_config"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Not Authorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export config_id="abc12345-1234-5678-abcd-ef1234567890" \# Curl command curl -X PUT "https://api.datadoghq.com/api/v2/remote_config/products/rum/configs/${config_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "rum": {
        "default_privacy_level": "mask",
        "enable_privacy_for_action_name": true,
        "session_replay_sample_rate": 20,
        "session_sample_rate": 75
      }
    },
    "id": "abc12345-1234-5678-abcd-ef1234567890",
    "type": "rum_sdk_config"
  }
}
EOF 
                
##### 

```python
"""
Update a RUM SDK configuration returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.rum_remote_config_api import RUMRemoteConfigApi
from datadog_api_client.v2.model.rum_sdk_config_dynamic_option import RumSdkConfigDynamicOption
from datadog_api_client.v2.model.rum_sdk_config_dynamic_option_pair import RumSdkConfigDynamicOptionPair
from datadog_api_client.v2.model.rum_sdk_config_dynamic_option_serialized_type import (
    RumSdkConfigDynamicOptionSerializedType,
)
from datadog_api_client.v2.model.rum_sdk_config_dynamic_option_strategy import RumSdkConfigDynamicOptionStrategy
from datadog_api_client.v2.model.rum_sdk_config_match_option import RumSdkConfigMatchOption
from datadog_api_client.v2.model.rum_sdk_config_match_option_serialized_type import (
    RumSdkConfigMatchOptionSerializedType,
)
from datadog_api_client.v2.model.rum_sdk_config_rum_update_attributes import RumSdkConfigRumUpdateAttributes
from datadog_api_client.v2.model.rum_sdk_config_serialized_regex import RumSdkConfigSerializedRegex
from datadog_api_client.v2.model.rum_sdk_config_serialized_regex_type import RumSdkConfigSerializedRegexType
from datadog_api_client.v2.model.rum_sdk_config_tracing_url_config import RumSdkConfigTracingUrlConfig
from datadog_api_client.v2.model.rum_sdk_config_tracing_url_propagator_type import RumSdkConfigTracingUrlPropagatorType
from datadog_api_client.v2.model.rum_sdk_config_type import RumSdkConfigType
from datadog_api_client.v2.model.rum_sdk_config_update_attributes import RumSdkConfigUpdateAttributes
from datadog_api_client.v2.model.rum_sdk_config_update_data import RumSdkConfigUpdateData
from datadog_api_client.v2.model.rum_sdk_config_update_request import RumSdkConfigUpdateRequest

body = RumSdkConfigUpdateRequest(
    data=RumSdkConfigUpdateData(
        attributes=RumSdkConfigUpdateAttributes(
            rum=RumSdkConfigRumUpdateAttributes(
                allowed_tracing_urls=[
                    RumSdkConfigTracingUrlConfig(
                        match=RumSdkConfigMatchOption(
                            rc_serialized_type=RumSdkConfigMatchOptionSerializedType.STRING,
                            value="https://app.datadoghq.com",
                        ),
                        propagator_types=[
                            RumSdkConfigTracingUrlPropagatorType.DATADOG,
                            RumSdkConfigTracingUrlPropagatorType.TRACECONTEXT,
                        ],
                    ),
                ],
                allowed_tracking_origins=[
                    RumSdkConfigMatchOption(
                        rc_serialized_type=RumSdkConfigMatchOptionSerializedType.STRING,
                        value="https://app.datadoghq.com",
                    ),
                ],
                context=[
                    RumSdkConfigDynamicOptionPair(
                        key="id",
                        value=RumSdkConfigDynamicOption(
                            attribute="data-version",
                            extractor=RumSdkConfigSerializedRegex(
                                rc_serialized_type=RumSdkConfigSerializedRegexType.REGEX,
                                value="^https://app-.*.datadoghq.com",
                            ),
                            key="app.version",
                            name="app_version",
                            path="application.version",
                            rc_serialized_type=RumSdkConfigDynamicOptionSerializedType.DYNAMIC,
                            selector="#app-version",
                            strategy=RumSdkConfigDynamicOptionStrategy.JS,
                        ),
                    ),
                ],
                default_privacy_level="mask",
                enable_privacy_for_action_name=True,
                env="production",
                service="my-service",
                session_replay_sample_rate=20,
                session_sample_rate=75,
                trace_sample_rate=100,
                track_session_across_subdomains=False,
                user=[
                    RumSdkConfigDynamicOptionPair(
                        key="id",
                        value=RumSdkConfigDynamicOption(
                            attribute="data-version",
                            extractor=RumSdkConfigSerializedRegex(
                                rc_serialized_type=RumSdkConfigSerializedRegexType.REGEX,
                                value="^https://app-.*.datadoghq.com",
                            ),
                            key="app.version",
                            name="app_version",
                            path="application.version",
                            rc_serialized_type=RumSdkConfigDynamicOptionSerializedType.DYNAMIC,
                            selector="#app-version",
                            strategy=RumSdkConfigDynamicOptionStrategy.JS,
                        ),
                    ),
                ],
                version=RumSdkConfigDynamicOption(
                    attribute="data-version",
                    extractor=RumSdkConfigSerializedRegex(
                        rc_serialized_type=RumSdkConfigSerializedRegexType.REGEX,
                        value="^https://app-.*.datadoghq.com",
                    ),
                    key="app.version",
                    name="app_version",
                    path="application.version",
                    rc_serialized_type=RumSdkConfigDynamicOptionSerializedType.DYNAMIC,
                    selector="#app-version",
                    strategy=RumSdkConfigDynamicOptionStrategy.JS,
                ),
            ),
        ),
        id="abc12345-1234-5678-abcd-ef1234567890",
        type=RumSdkConfigType.RUM_SDK_CONFIG,
    ),
)

configuration = Configuration()
configuration.unstable_operations["update_rum_sdk_config"] = True
with ApiClient(configuration) as api_client:
    api_instance = RUMRemoteConfigApi(api_client)
    response = api_instance.update_rum_sdk_config(config_id="config_id", body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Update a RUM SDK configuration returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.update_rum_sdk_config".to_sym] = true
end
api_instance = DatadogAPIClient::V2::RUMRemoteConfigAPI.new

body = DatadogAPIClient::V2::RumSdkConfigUpdateRequest.new({
  data: DatadogAPIClient::V2::RumSdkConfigUpdateData.new({
    attributes: DatadogAPIClient::V2::RumSdkConfigUpdateAttributes.new({
      rum: DatadogAPIClient::V2::RumSdkConfigRumUpdateAttributes.new({
        allowed_tracing_urls: [
          DatadogAPIClient::V2::RumSdkConfigTracingUrlConfig.new({
            match: DatadogAPIClient::V2::RumSdkConfigMatchOption.new({
              rc_serialized_type: DatadogAPIClient::V2::RumSdkConfigMatchOptionSerializedType::STRING,
              value: "https://app.datadoghq.com",
            }),
            propagator_types: [
              DatadogAPIClient::V2::RumSdkConfigTracingUrlPropagatorType::DATADOG,
              DatadogAPIClient::V2::RumSdkConfigTracingUrlPropagatorType::TRACECONTEXT,
            ],
          }),
        ],
        allowed_tracking_origins: [
          DatadogAPIClient::V2::RumSdkConfigMatchOption.new({
            rc_serialized_type: DatadogAPIClient::V2::RumSdkConfigMatchOptionSerializedType::STRING,
            value: "https://app.datadoghq.com",
          }),
        ],
        context: [
          DatadogAPIClient::V2::RumSdkConfigDynamicOptionPair.new({
            key: "id",
            value: DatadogAPIClient::V2::RumSdkConfigDynamicOption.new({
              attribute: "data-version",
              extractor: DatadogAPIClient::V2::RumSdkConfigSerializedRegex.new({
                rc_serialized_type: DatadogAPIClient::V2::RumSdkConfigSerializedRegexType::REGEX,
                value: "^https://app-.*.datadoghq.com",
              }),
              key: "app.version",
              name: "app_version",
              path: "application.version",
              rc_serialized_type: DatadogAPIClient::V2::RumSdkConfigDynamicOptionSerializedType::DYNAMIC,
              selector: "#app-version",
              strategy: DatadogAPIClient::V2::RumSdkConfigDynamicOptionStrategy::JS,
            }),
          }),
        ],
        default_privacy_level: "mask",
        enable_privacy_for_action_name: true,
        env: "production",
        service: "my-service",
        session_replay_sample_rate: 20,
        session_sample_rate: 75,
        trace_sample_rate: 100,
        track_session_across_subdomains: false,
        user: [
          DatadogAPIClient::V2::RumSdkConfigDynamicOptionPair.new({
            key: "id",
            value: DatadogAPIClient::V2::RumSdkConfigDynamicOption.new({
              attribute: "data-version",
              extractor: DatadogAPIClient::V2::RumSdkConfigSerializedRegex.new({
                rc_serialized_type: DatadogAPIClient::V2::RumSdkConfigSerializedRegexType::REGEX,
                value: "^https://app-.*.datadoghq.com",
              }),
              key: "app.version",
              name: "app_version",
              path: "application.version",
              rc_serialized_type: DatadogAPIClient::V2::RumSdkConfigDynamicOptionSerializedType::DYNAMIC,
              selector: "#app-version",
              strategy: DatadogAPIClient::V2::RumSdkConfigDynamicOptionStrategy::JS,
            }),
          }),
        ],
        version: DatadogAPIClient::V2::RumSdkConfigDynamicOption.new({
          attribute: "data-version",
          extractor: DatadogAPIClient::V2::RumSdkConfigSerializedRegex.new({
            rc_serialized_type: DatadogAPIClient::V2::RumSdkConfigSerializedRegexType::REGEX,
            value: "^https://app-.*.datadoghq.com",
          }),
          key: "app.version",
          name: "app_version",
          path: "application.version",
          rc_serialized_type: DatadogAPIClient::V2::RumSdkConfigDynamicOptionSerializedType::DYNAMIC,
          selector: "#app-version",
          strategy: DatadogAPIClient::V2::RumSdkConfigDynamicOptionStrategy::JS,
        }),
      }),
    }),
    id: "abc12345-1234-5678-abcd-ef1234567890",
    type: DatadogAPIClient::V2::RumSdkConfigType::RUM_SDK_CONFIG,
  }),
})
p api_instance.update_rum_sdk_config("config_id", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Update a RUM SDK configuration returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.RumSdkConfigUpdateRequest{
		Data: datadogV2.RumSdkConfigUpdateData{
			Attributes: datadogV2.RumSdkConfigUpdateAttributes{
				Rum: datadogV2.RumSdkConfigRumUpdateAttributes{
					AllowedTracingUrls: []datadogV2.RumSdkConfigTracingUrlConfig{
						{
							Match: datadogV2.RumSdkConfigMatchOption{
								RcSerializedType: datadogV2.RUMSDKCONFIGMATCHOPTIONSERIALIZEDTYPE_STRING,
								Value:            "https://app.datadoghq.com",
							},
							PropagatorTypes: []datadogV2.RumSdkConfigTracingUrlPropagatorType{
								datadogV2.RUMSDKCONFIGTRACINGURLPROPAGATORTYPE_DATADOG,
								datadogV2.RUMSDKCONFIGTRACINGURLPROPAGATORTYPE_TRACECONTEXT,
							},
						},
					},
					AllowedTrackingOrigins: []datadogV2.RumSdkConfigMatchOption{
						{
							RcSerializedType: datadogV2.RUMSDKCONFIGMATCHOPTIONSERIALIZEDTYPE_STRING,
							Value:            "https://app.datadoghq.com",
						},
					},
					Context: []datadogV2.RumSdkConfigDynamicOptionPair{
						{
							Key: "id",
							Value: datadogV2.RumSdkConfigDynamicOption{
								Attribute: datadog.PtrString("data-version"),
								Extractor: &datadogV2.RumSdkConfigSerializedRegex{
									RcSerializedType: datadogV2.RUMSDKCONFIGSERIALIZEDREGEXTYPE_REGEX,
									Value:            "^https://app-.*.datadoghq.com",
								},
								Key:              datadog.PtrString("app.version"),
								Name:             datadog.PtrString("app_version"),
								Path:             datadog.PtrString("application.version"),
								RcSerializedType: datadogV2.RUMSDKCONFIGDYNAMICOPTIONSERIALIZEDTYPE_DYNAMIC,
								Selector:         datadog.PtrString("#app-version"),
								Strategy:         datadogV2.RUMSDKCONFIGDYNAMICOPTIONSTRATEGY_JS,
							},
						},
					},
					DefaultPrivacyLevel:          "mask",
					EnablePrivacyForActionName:   true,
					Env:                          datadog.PtrString("production"),
					Service:                      datadog.PtrString("my-service"),
					SessionReplaySampleRate:      20,
					SessionSampleRate:            75,
					TraceSampleRate:              datadog.PtrInt64(100),
					TrackSessionAcrossSubdomains: datadog.PtrBool(false),
					User: []datadogV2.RumSdkConfigDynamicOptionPair{
						{
							Key: "id",
							Value: datadogV2.RumSdkConfigDynamicOption{
								Attribute: datadog.PtrString("data-version"),
								Extractor: &datadogV2.RumSdkConfigSerializedRegex{
									RcSerializedType: datadogV2.RUMSDKCONFIGSERIALIZEDREGEXTYPE_REGEX,
									Value:            "^https://app-.*.datadoghq.com",
								},
								Key:              datadog.PtrString("app.version"),
								Name:             datadog.PtrString("app_version"),
								Path:             datadog.PtrString("application.version"),
								RcSerializedType: datadogV2.RUMSDKCONFIGDYNAMICOPTIONSERIALIZEDTYPE_DYNAMIC,
								Selector:         datadog.PtrString("#app-version"),
								Strategy:         datadogV2.RUMSDKCONFIGDYNAMICOPTIONSTRATEGY_JS,
							},
						},
					},
					Version: &datadogV2.RumSdkConfigDynamicOption{
						Attribute: datadog.PtrString("data-version"),
						Extractor: &datadogV2.RumSdkConfigSerializedRegex{
							RcSerializedType: datadogV2.RUMSDKCONFIGSERIALIZEDREGEXTYPE_REGEX,
							Value:            "^https://app-.*.datadoghq.com",
						},
						Key:              datadog.PtrString("app.version"),
						Name:             datadog.PtrString("app_version"),
						Path:             datadog.PtrString("application.version"),
						RcSerializedType: datadogV2.RUMSDKCONFIGDYNAMICOPTIONSERIALIZEDTYPE_DYNAMIC,
						Selector:         datadog.PtrString("#app-version"),
						Strategy:         datadogV2.RUMSDKCONFIGDYNAMICOPTIONSTRATEGY_JS,
					},
				},
			},
			Id:   "abc12345-1234-5678-abcd-ef1234567890",
			Type: datadogV2.RUMSDKCONFIGTYPE_RUM_SDK_CONFIG,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.UpdateRumSdkConfig", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewRUMRemoteConfigApi(apiClient)
	resp, r, err := api.UpdateRumSdkConfig(ctx, "config_id", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `RUMRemoteConfigApi.UpdateRumSdkConfig`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `RUMRemoteConfigApi.UpdateRumSdkConfig`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Update a RUM SDK configuration returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.RumRemoteConfigApi;
import com.datadog.api.client.v2.model.RumSdkConfigDynamicOption;
import com.datadog.api.client.v2.model.RumSdkConfigDynamicOptionPair;
import com.datadog.api.client.v2.model.RumSdkConfigDynamicOptionSerializedType;
import com.datadog.api.client.v2.model.RumSdkConfigDynamicOptionStrategy;
import com.datadog.api.client.v2.model.RumSdkConfigMatchOption;
import com.datadog.api.client.v2.model.RumSdkConfigMatchOptionSerializedType;
import com.datadog.api.client.v2.model.RumSdkConfigResponse;
import com.datadog.api.client.v2.model.RumSdkConfigRumUpdateAttributes;
import com.datadog.api.client.v2.model.RumSdkConfigSerializedRegex;
import com.datadog.api.client.v2.model.RumSdkConfigSerializedRegexType;
import com.datadog.api.client.v2.model.RumSdkConfigTracingUrlConfig;
import com.datadog.api.client.v2.model.RumSdkConfigTracingUrlPropagatorType;
import com.datadog.api.client.v2.model.RumSdkConfigType;
import com.datadog.api.client.v2.model.RumSdkConfigUpdateAttributes;
import com.datadog.api.client.v2.model.RumSdkConfigUpdateData;
import com.datadog.api.client.v2.model.RumSdkConfigUpdateRequest;
import java.util.Arrays;
import java.util.Collections;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.updateRumSdkConfig", true);
    RumRemoteConfigApi apiInstance = new RumRemoteConfigApi(defaultClient);

    RumSdkConfigUpdateRequest body =
        new RumSdkConfigUpdateRequest()
            .data(
                new RumSdkConfigUpdateData()
                    .attributes(
                        new RumSdkConfigUpdateAttributes()
                            .rum(
                                new RumSdkConfigRumUpdateAttributes()
                                    .allowedTracingUrls(
                                        Collections.singletonList(
                                            new RumSdkConfigTracingUrlConfig()
                                                .match(
                                                    new RumSdkConfigMatchOption()
                                                        .rcSerializedType(
                                                            RumSdkConfigMatchOptionSerializedType
                                                                .STRING)
                                                        .value("https://app.datadoghq.com"))
                                                .propagatorTypes(
                                                    Arrays.asList(
                                                        RumSdkConfigTracingUrlPropagatorType
                                                            .DATADOG,
                                                        RumSdkConfigTracingUrlPropagatorType
                                                            .TRACECONTEXT))))
                                    .allowedTrackingOrigins(
                                        Collections.singletonList(
                                            new RumSdkConfigMatchOption()
                                                .rcSerializedType(
                                                    RumSdkConfigMatchOptionSerializedType.STRING)
                                                .value("https://app.datadoghq.com")))
                                    .context(
                                        Collections.singletonList(
                                            new RumSdkConfigDynamicOptionPair()
                                                .key("id")
                                                .value(
                                                    new RumSdkConfigDynamicOption()
                                                        .attribute("data-version")
                                                        .extractor(
                                                            new RumSdkConfigSerializedRegex()
                                                                .rcSerializedType(
                                                                    RumSdkConfigSerializedRegexType
                                                                        .REGEX)
                                                                .value(
                                                                    "^https://app-.*.datadoghq.com"))
                                                        .key("app.version")
                                                        .name("app_version")
                                                        .path("application.version")
                                                        .rcSerializedType(
                                                            RumSdkConfigDynamicOptionSerializedType
                                                                .DYNAMIC)
                                                        .selector("#app-version")
                                                        .strategy(
                                                            RumSdkConfigDynamicOptionStrategy.JS))))
                                    .defaultPrivacyLevel("mask")
                                    .enablePrivacyForActionName(true)
                                    .env("production")
                                    .service("my-service")
                                    .sessionReplaySampleRate(20L)
                                    .sessionSampleRate(75L)
                                    .traceSampleRate(100L)
                                    .trackSessionAcrossSubdomains(false)
                                    .user(
                                        Collections.singletonList(
                                            new RumSdkConfigDynamicOptionPair()
                                                .key("id")
                                                .value(
                                                    new RumSdkConfigDynamicOption()
                                                        .attribute("data-version")
                                                        .extractor(
                                                            new RumSdkConfigSerializedRegex()
                                                                .rcSerializedType(
                                                                    RumSdkConfigSerializedRegexType
                                                                        .REGEX)
                                                                .value(
                                                                    "^https://app-.*.datadoghq.com"))
                                                        .key("app.version")
                                                        .name("app_version")
                                                        .path("application.version")
                                                        .rcSerializedType(
                                                            RumSdkConfigDynamicOptionSerializedType
                                                                .DYNAMIC)
                                                        .selector("#app-version")
                                                        .strategy(
                                                            RumSdkConfigDynamicOptionStrategy.JS))))
                                    .version(
                                        new RumSdkConfigDynamicOption()
                                            .attribute("data-version")
                                            .extractor(
                                                new RumSdkConfigSerializedRegex()
                                                    .rcSerializedType(
                                                        RumSdkConfigSerializedRegexType.REGEX)
                                                    .value("^https://app-.*.datadoghq.com"))
                                            .key("app.version")
                                            .name("app_version")
                                            .path("application.version")
                                            .rcSerializedType(
                                                RumSdkConfigDynamicOptionSerializedType.DYNAMIC)
                                            .selector("#app-version")
                                            .strategy(RumSdkConfigDynamicOptionStrategy.JS))))
                    .id("abc12345-1234-5678-abcd-ef1234567890")
                    .type(RumSdkConfigType.RUM_SDK_CONFIG));

    try {
      RumSdkConfigResponse result =
          apiInstance.updateRumSdkConfig("abc12345-1234-5678-abcd-ef1234567890", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling RumRemoteConfigApi#updateRumSdkConfig");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Update a RUM SDK configuration returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_rum_remote_config::RUMRemoteConfigAPI;
use datadog_api_client::datadogV2::model::RumSdkConfigDynamicOption;
use datadog_api_client::datadogV2::model::RumSdkConfigDynamicOptionPair;
use datadog_api_client::datadogV2::model::RumSdkConfigDynamicOptionSerializedType;
use datadog_api_client::datadogV2::model::RumSdkConfigDynamicOptionStrategy;
use datadog_api_client::datadogV2::model::RumSdkConfigMatchOption;
use datadog_api_client::datadogV2::model::RumSdkConfigMatchOptionSerializedType;
use datadog_api_client::datadogV2::model::RumSdkConfigRumUpdateAttributes;
use datadog_api_client::datadogV2::model::RumSdkConfigSerializedRegex;
use datadog_api_client::datadogV2::model::RumSdkConfigSerializedRegexType;
use datadog_api_client::datadogV2::model::RumSdkConfigTracingUrlConfig;
use datadog_api_client::datadogV2::model::RumSdkConfigTracingUrlPropagatorType;
use datadog_api_client::datadogV2::model::RumSdkConfigType;
use datadog_api_client::datadogV2::model::RumSdkConfigUpdateAttributes;
use datadog_api_client::datadogV2::model::RumSdkConfigUpdateData;
use datadog_api_client::datadogV2::model::RumSdkConfigUpdateRequest;

#[tokio::main]
async fn main() {
    let body = RumSdkConfigUpdateRequest::new(RumSdkConfigUpdateData::new(
        RumSdkConfigUpdateAttributes::new(
            RumSdkConfigRumUpdateAttributes::new("mask".to_string(), true, 20, 75)
                .allowed_tracing_urls(vec![RumSdkConfigTracingUrlConfig::new(
                    RumSdkConfigMatchOption::new(
                        RumSdkConfigMatchOptionSerializedType::STRING,
                        "https://app.datadoghq.com".to_string(),
                    ),
                    vec![
                        RumSdkConfigTracingUrlPropagatorType::DATADOG,
                        RumSdkConfigTracingUrlPropagatorType::TRACECONTEXT,
                    ],
                )])
                .allowed_tracking_origins(vec![RumSdkConfigMatchOption::new(
                    RumSdkConfigMatchOptionSerializedType::STRING,
                    "https://app.datadoghq.com".to_string(),
                )])
                .context(vec![RumSdkConfigDynamicOptionPair::new(
                    "id".to_string(),
                    RumSdkConfigDynamicOption::new(
                        RumSdkConfigDynamicOptionSerializedType::DYNAMIC,
                        RumSdkConfigDynamicOptionStrategy::JS,
                    )
                    .attribute("data-version".to_string())
                    .extractor(RumSdkConfigSerializedRegex::new(
                        RumSdkConfigSerializedRegexType::REGEX,
                        "^https://app-.*.datadoghq.com".to_string(),
                    ))
                    .key("app.version".to_string())
                    .name("app_version".to_string())
                    .path("application.version".to_string())
                    .selector("#app-version".to_string()),
                )])
                .env("production".to_string())
                .service("my-service".to_string())
                .trace_sample_rate(100)
                .track_session_across_subdomains(false)
                .user(vec![RumSdkConfigDynamicOptionPair::new(
                    "id".to_string(),
                    RumSdkConfigDynamicOption::new(
                        RumSdkConfigDynamicOptionSerializedType::DYNAMIC,
                        RumSdkConfigDynamicOptionStrategy::JS,
                    )
                    .attribute("data-version".to_string())
                    .extractor(RumSdkConfigSerializedRegex::new(
                        RumSdkConfigSerializedRegexType::REGEX,
                        "^https://app-.*.datadoghq.com".to_string(),
                    ))
                    .key("app.version".to_string())
                    .name("app_version".to_string())
                    .path("application.version".to_string())
                    .selector("#app-version".to_string()),
                )])
                .version(
                    RumSdkConfigDynamicOption::new(
                        RumSdkConfigDynamicOptionSerializedType::DYNAMIC,
                        RumSdkConfigDynamicOptionStrategy::JS,
                    )
                    .attribute("data-version".to_string())
                    .extractor(RumSdkConfigSerializedRegex::new(
                        RumSdkConfigSerializedRegexType::REGEX,
                        "^https://app-.*.datadoghq.com".to_string(),
                    ))
                    .key("app.version".to_string())
                    .name("app_version".to_string())
                    .path("application.version".to_string())
                    .selector("#app-version".to_string()),
                ),
        ),
        "abc12345-1234-5678-abcd-ef1234567890".to_string(),
        RumSdkConfigType::RUM_SDK_CONFIG,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.UpdateRumSdkConfig", true);
    let api = RUMRemoteConfigAPI::with_config(configuration);
    let resp = api
        .update_rum_sdk_config("config_id".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Update a RUM SDK configuration returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.updateRumSdkConfig"] = true;
const apiInstance = new v2.RUMRemoteConfigApi(configuration);

const params: v2.RUMRemoteConfigApiUpdateRumSdkConfigRequest = {
  body: {
    data: {
      attributes: {
        rum: {
          allowedTracingUrls: [
            {
              match: {
                rcSerializedType: "string",
                value: "https://app.datadoghq.com",
              },
              propagatorTypes: ["datadog", "tracecontext"],
            },
          ],
          allowedTrackingOrigins: [
            {
              rcSerializedType: "string",
              value: "https://app.datadoghq.com",
            },
          ],
          context: [
            {
              key: "id",
              value: {
                attribute: "data-version",
                extractor: {
                  rcSerializedType: "regex",
                  value: "^https://app-.*.datadoghq.com",
                },
                key: "app.version",
                name: "app_version",
                path: "application.version",
                rcSerializedType: "dynamic",
                selector: "#app-version",
                strategy: "js",
              },
            },
          ],
          defaultPrivacyLevel: "mask",
          enablePrivacyForActionName: true,
          env: "production",
          service: "my-service",
          sessionReplaySampleRate: 20,
          sessionSampleRate: 75,
          traceSampleRate: 100,
          trackSessionAcrossSubdomains: false,
          user: [
            {
              key: "id",
              value: {
                attribute: "data-version",
                extractor: {
                  rcSerializedType: "regex",
                  value: "^https://app-.*.datadoghq.com",
                },
                key: "app.version",
                name: "app_version",
                path: "application.version",
                rcSerializedType: "dynamic",
                selector: "#app-version",
                strategy: "js",
              },
            },
          ],
          version: {
            attribute: "data-version",
            extractor: {
              rcSerializedType: "regex",
              value: "^https://app-.*.datadoghq.com",
            },
            key: "app.version",
            name: "app_version",
            path: "application.version",
            rcSerializedType: "dynamic",
            selector: "#app-version",
            strategy: "js",
          },
        },
      },
      id: "abc12345-1234-5678-abcd-ef1234567890",
      type: "rum_sdk_config",
    },
  },
  configId: "config_id",
};

apiInstance
  .updateRumSdkConfig(params)
  .then((data: v2.RumSdkConfigResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
